View Issue Details

IDProjectCategoryView StatusLast Update
0002329FreeCADBugpublic2015-12-15 13:15
ReporterjmaustpcAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformallOSallOS Versionall
Product Version0.16 
Target Version0.16Fixed in Version0.16 
Summary0002329: remove the 2 now obsolete Pivy versions distributed with FreeCAD source code
Descriptionremove the 2 now obsolete Pivy versions distributed with FreeCAD source code.

Its not needed (i.e. newer versions are available) on Win, Linux or Mac and for most situations will no longer even compile.

forum topic
http://forum.freecadweb.org/viewtopic.php?f=10&t=13094

TagsNo tags attached.

Activities

yorik

2015-11-04 12:56

administrator   ~0006529

At first sight I agree, but let's wait to see if someone has any objection... There might still be cases we didn't think about...

Related Changesets

FreeCAD: master 25fd2adb

2015-11-05 21:26:05

wmayer

Details Diff
+ fixes 0002329: remove the 2 now obsolete Pivy versions distributed with FreeCAD source code Affected Issues
0002329
mod - CMakeLists.txt Diff File
mod - src/3rdParty/CMakeLists.txt Diff File
rm - src/3rdParty/Pivy-0.5/AUTHORS Diff File
rm - src/3rdParty/Pivy-0.5/CMakeLists.txt Diff File
rm - src/3rdParty/Pivy-0.5/LICENSE Diff File
rm - src/3rdParty/Pivy-0.5/README Diff File
rm - src/3rdParty/Pivy-0.5/__init__.py Diff File
rm - src/3rdParty/Pivy-0.5/coin.py Diff File
rm - src/3rdParty/Pivy-0.5/coin_header_includes.h Diff File
rm - src/3rdParty/Pivy-0.5/coin_wrap.cpp Diff File
rm - src/3rdParty/Pivy-0.5/gui/__init__.py Diff File
rm - src/3rdParty/Pivy-0.5/gui/soqt.py Diff File
rm - src/3rdParty/Pivy-0.5/sogui.py Diff File
rm - src/3rdParty/Pivy-0.5/soqt.py Diff File
rm - src/3rdParty/Pivy-0.5/soqt_wrap.cpp Diff File
rm - src/3rdParty/Pivy/AUTHORS Diff File
rm - src/3rdParty/Pivy/CMakeLists.txt Diff File
rm - src/3rdParty/Pivy/CoinBinding.sln Diff File
rm - src/3rdParty/Pivy/LICENSE Diff File
rm - src/3rdParty/Pivy/README Diff File
rm - src/3rdParty/Pivy/__init__.py Diff File
rm - src/3rdParty/Pivy/coin.py Diff File
rm - src/3rdParty/Pivy/coin_header_includes.h Diff File
rm - src/3rdParty/Pivy/coin_wrap.cpp Diff File
rm - src/3rdParty/Pivy/gui/__init__.py Diff File
rm - src/3rdParty/Pivy/gui/soqt.py Diff File
rm - src/3rdParty/Pivy/sogui.py Diff File
rm - src/3rdParty/Pivy/soqt_wrap.cpp Diff File
mod - src/Doc/CMakeLists.txt Diff File

Issue History

Date Modified Username Field Change
2015-11-04 05:12 jmaustpc New Issue
2015-11-04 12:56 yorik Note Added: 0006529
2015-11-05 20:26 wmayer Changeset attached => FreeCAD Master master 25fd2adb
2015-11-05 20:26 wmayer Assigned To => wmayer
2015-11-05 20:26 wmayer Status new => closed
2015-11-05 20:26 wmayer Resolution open => fixed
2015-12-15 13:15 yorik Fixed in Version => 0.16